Console Output

Started by upstream project "sprotty-theia/master" build number 28
originally caused by:
 Branch indexing
[Pipeline] Start of Pipeline
[Pipeline] echo
[WARNING] label option is deprecated. To use a static pod template, use the 'inheritFrom' option.
[Pipeline] podTemplate
[Pipeline] {
[Pipeline] node
WARNING: Unable to create pod: kubernetes sprotty/sprotty-agent-pod-px12g-xlszl because kubernetes resource quota exceeded. 
Failure executing: POST at: https://10.30.0.1/api/v1/namespaces/sprotty/pods. Message: Forbidden!Configured service account doesn't have access. Service account may have been revoked. pods "sprotty-agent-pod-px12g-xlszl" is forbidden: exceeded quota: jenkins-instance-quota, requested: pods=1,requests.cpu=1100m, used: pods=3,requests.cpu=2450m, limited: pods=3,requests.cpu=2650m.
Retrying...

Still waiting to schedule task
All nodes of label ‘sprotty-agent-pod’ are offline
WARNING: Unable to create pod: kubernetes sprotty/sprotty-agent-pod-px12g-4lxng because kubernetes resource quota exceeded. 
Failure executing: POST at: https://10.30.0.1/api/v1/namespaces/sprotty/pods. Message: Forbidden!Configured service account doesn't have access. Service account may have been revoked. pods "sprotty-agent-pod-px12g-4lxng" is forbidden: exceeded quota: jenkins-instance-quota, requested: pods=1,requests.cpu=1100m, used: pods=3,requests.cpu=2450m, limited: pods=3,requests.cpu=2650m.
Retrying...

Created Pod: kubernetes sprotty/sprotty-agent-pod-px12g-hvvh0
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Scheduled] Successfully assigned sprotty/sprotty-agent-pod-px12g-hvvh0 to okdnode-11
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][AddedInterface] Add eth0 [10.40.30.203/23] from openshift-sdn
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Pulling] Pulling image "eclipsetheia/theia-blueprint"
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Pulled] Successfully pulled image "eclipsetheia/theia-blueprint" in 15.83426268s
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Created] Created container node
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Started] Started container node
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Pulled] Container image "docker.io/eclipsecbi/jiro-agent-basic:remoting-4.11.2" already present on machine
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Created] Created container jnlp
[Normal][sprotty/sprotty-agent-pod-px12g-hvvh0][Started] Started container jnlp
Agent sprotty-agent-pod-px12g-hvvh0 is provisioned from template sprotty-agent-pod-px12g
---
apiVersion: "v1"
kind: "Pod"
metadata:
  annotations:
    buildUrl: "http://jenkins-ui.sprotty.svc.cluster.local/sprotty/job/deploy-sprotty-theia/16/"
    runUrl: "job/deploy-sprotty-theia/16/"
  labels:
    jenkins: "slave"
    jenkins/label-digest: "94c9ac7d111dbbd882706642673985e1e8e78a4d"
    jenkins/label: "sprotty-agent-pod"
  name: "sprotty-agent-pod-px12g-hvvh0"
spec:
  containers:
  - command:
    - "cat"
    image: "eclipsetheia/theia-blueprint"
    name: "node"
    resources:
      limits:
        memory: "2Gi"
        cpu: "1"
      requests:
        memory: "2Gi"
        cpu: "1"
    tty: true
    volumeMounts:
    - mountPath: "/home/jenkins"
      name: "jenkins-home"
      readOnly: false
    - mountPath: "/.yarn"
      name: "yarn-global"
      readOnly: false
    - mountPath: "/.cache"
      name: "global-cache"
    - mountPath: "/.npm"
      name: "global-npm"
    - mountPath: "/home/jenkins/agent"
      name: "workspace-volume"
      readOnly: false
  - env:
    - name: "JENKINS_SECRET"
      value: "********"
    - name: "JENKINS_TUNNEL"
      value: "jenkins-discovery.sprotty.svc.cluster.local:50000"
    - name: "JENKINS_AGENT_NAME"
      value: "sprotty-agent-pod-px12g-hvvh0"
    - name: "JENKINS_NAME"
      value: "sprotty-agent-pod-px12g-hvvh0"
    - name: "JENKINS_AGENT_WORKDIR"
      value: "/home/jenkins/agent"
    - name: "JENKINS_URL"
      value: "http://jenkins-ui.sprotty.svc.cluster.local/sprotty/"
    image: "docker.io/eclipsecbi/jiro-agent-basic:remoting-4.11.2"
    name: "jnlp"
    resources:
      limits: {}
      requests:
        memory: "256Mi"
        cpu: "100m"
    volumeMounts:
    - mountPath: "/home/jenkins/agent"
      name: "workspace-volume"
      readOnly: false
  nodeSelector:
    kubernetes.io/os: "linux"
  restartPolicy: "Never"
  volumes:
  - emptyDir: {}
    name: "yarn-global"
  - emptyDir: {}
    name: "jenkins-home"
  - emptyDir: {}
    name: "global-cache"
  - emptyDir:
      medium: ""
    name: "workspace-volume"
  - emptyDir: {}
    name: "global-npm"

Running on sprotty-agent-pod-px12g-hvvh0 in /home/jenkins/agent/workspace/deploy-sprotty-theia
[Pipeline] {
[Pipeline] withEnv
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Checkout master)
[Pipeline] git
Selected Git installation does not exist. Using Default
The recommended git tool is: NONE
using credential github-bot
Cloning the remote Git repository
Cloning repository https://github.com/eclipse/sprotty-theia.git
 > git init /home/jenkins/agent/workspace/deploy-sprotty-theia # timeout=10
Avoid second fetch
Fetching upstream changes from https://github.com/eclipse/sprotty-theia.git
 > git --version # timeout=10
 > git --version # 'git version 2.20.1'
using GIT_ASKPASS to set credentials GitHub bot (username/token)
 > git fetch --tags --force --progress -- https://github.com/eclipse/sprotty-theia.git +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/eclipse/sprotty-theia.git # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
Checking out Revision 2b87447d4dce03520a75ef00e8988e39ab729d82 (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 2b87447d4dce03520a75ef00e8988e39ab729d82 # timeout=10
 > git branch -a -v --no-abbrev # timeout=10
 > git checkout -b master 2b87447d4dce03520a75ef00e8988e39ab729d82 # timeout=10
Commit message: "#87 Switch to peer dependencies for sprotty and Theia (#88)"
 > git rev-list --no-walk 78e9c2f0b367d2e91eba68d96ba8e5678a0853ed # timeout=10
[Pipeline] }
[Pipeline] // stage
[Pipeline] stage
[Pipeline] { (Build & Deploy)
[Pipeline] container
[Pipeline] {
[Pipeline] withCredentials
Masking supported pattern matches of $NPM_AUTH_TOKEN
[Pipeline] {
[Pipeline] sh
+ printf //registry.npmjs.org/:_authToken=****

[Pipeline] }
[Pipeline] // withCredentials
[Pipeline] sh
+ git config user.email eclipse-sprotty-bot@eclipse.org
[Pipeline] sh
+ git config user.name eclipse-sprotty-bot
[Pipeline] sh
+ yarn install --ignore-engines
yarn install v1.22.5
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@2.3.2: The platform "linux" is incompatible with this module.
info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
$ yarn run clean && yarn run build
yarn run v1.22.5
$ rimraf lib artifacts
Done in 0.20s.
yarn run v1.22.5
$ tsc -p ./tsconfig.json && yarn run lint
$ eslint "src/**/!(*.spec.ts*)"
Done in 24.49s.
Done in 111.21s.
[Pipeline] sh
+ yarn publish:next --ignore-engines
yarn run v1.22.5
$ yarn publish --new-version "$(semver $npm_package_version -i minor)-next.$(git rev-parse --short HEAD)" --tag next --ignore-engines
[1/4] Bumping version...
info Current version: 0.11.0
info New version: 0.12.0-next.2b87447
[2/4] Logging in...
[3/4] Publishing...
$ yarn run clean && yarn run build
$ rimraf lib artifacts
$ tsc -p ./tsconfig.json && yarn run lint
$ eslint "src/**/!(*.spec.ts*)"
$ yarn run test
$ jenkins-mocha --opts ./configs/mocha.opts "./src/**/*.spec.?(ts|tsx)"


  inversify
    ✓ error


  1 passing (13ms)


=============================== Coverage summary ===============================
Statements   : Unknown% ( 0/0 )
Branches     : Unknown% ( 0/0 )
Functions    : Unknown% ( 0/0 )
Lines        : Unknown% ( 0/0 )
================================================================================
error Couldn't publish package: "https://registry.yarnpkg.com/sprotty-theia: This package requires that publishers enable TFA and provide an OTP to publish. For more info, visit: https://go.npm.me/2fa-guide"
info Visit https://yarnpkg.com/en/docs/cli/publish for documentation about this command.
error Command failed with exit code 1.
info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
[Pipeline] }
[Pipeline] // container
[Pipeline] }
[Pipeline] // stage
[Pipeline] }
[Pipeline] // withEnv
[Pipeline] }
[Pipeline] // node
[Pipeline] }
[Pipeline] // podTemplate
[Pipeline] End of Pipeline
ERROR: script returned exit code 1
Finished: FAILURE